#
# Design sources
#

echo "Adding Design Packages tp Project"
project addfile ../../../../vhdl_models/dma_package_v0.vhd                        
project addfile ../../../../vhdl_models/transceiver_package_v0.vhd
project addfile ../../../../xilinx_libraries/glbl.v

echo "Adding QDR SRAM Cores"
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_of_pre_fifo.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_if_post_fifo.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_byte_group_io.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_of_pre_fifo.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_if_post_fifo.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_byte_group_io.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_byte_lane.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_byte_lane.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_phy_read_vld_gen.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_phy_read_stage2_cal.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_phy_read_data_align.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_phy_rdlvl.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_phy_cntrl_init.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_phy_4lanes.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_phy_write_init_sm.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_phy_write_data_io.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_phy_write_control_io.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_phy_read_vld_gen.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_phy_read_stage2_cal.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_phy_read_data_align.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_phy_rdlvl.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_phy_cntrl_init.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_phy_4lanes.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_phy_write_init_sm.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_phy_write_data_io.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_phy_write_control_io.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_phy_read_top.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_rld_mc_phy.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_phy_write_top.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_phy_byte_lane_map.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_phy_read_top.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_rld_mc_phy.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_phy_write_top.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_phy_byte_lane_map.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_b_0_qdr_phy_top.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_qdr_phy_top.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_iodelay_ctrl.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_infrastructure.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/sram_a_0_clk_ibuf.v
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/qdr_sram_a.vhd
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/mig_32mbytes/qdr_sram_b.vhd
project addfile ../../../../SigFPGA/ip_sources/vivado/dual_qdr_sram/dual_qdr_sram.vhd
          
echo "Adding Xilinx IP Cores"
project addfile ../../../../SigFPGA/ip_sources/vivado/counter_32_xc7k160t_v0/sim/counter_32.vhd
project addfile ../../../../SigFPGA/ip_sources/vivado/dma_on_demand_memory_xc7k160t_v0/sim/dma_on_demand_memory.vhd
project addfile ../../../../SigFPGA/ip_sources/vivado/fifo_channel_1kx64_xc7k160t_v0/sim/fifo_channel_1kx64.vhd
project addfile ../../../../SigFPGA/ip_sources/vivado/fifo_dma_1kx64_xc7k160t_v0/sim/fifo_dma_1kx64.vhd

echo "Adding SigFPGA VHDL files"
project addfile ../../../../vhdl_models/clock_crossing_v0.vhd
project addfile ../../../../vhdl_models/bar2_channel_v0.vhd
project addfile ../../../../vhdl_models/bar2_common_v2.vhd
project addfile ../../../../vhdl_models/bar2_decoder_v2.vhd               
project addfile ../../../../vhdl_models/bar0_decoder_v1.vhd
project addfile ../../../../vhdl_models/clock_init_v0.vhd
project addfile ../../../../vhdl_models/clock_lock_v0.vhd
project addfile ../../../../vhdl_models/clock_route_v0.vhd
project addfile ../../../../vhdl_models/dac_interface_v0.vhd
project addfile ../../../../vhdl_models/dma_on_demand_v0.vhd       
project addfile ../../../../vhdl_models/interrupt_timer_v0.vhd                
project addfile ../../../../vhdl_models/serial_bus_v1.vhd
project addfile ../../../../vhdl_models/synchronizer_v0.vhd
project addfile ../../../../vhdl_models/adc_interface_v0.vhd                   
project addfile ../../../../vhdl_models/rx_flow_control_v0.vhd
project addfile ../../../../vhdl_models/tx_flow_control_v0.vhd
project addfile ../../../../vhdl_models/dma_write_fifo_v0.vhd
project addfile ../../../../vhdl_models/dma_read_fifo_v0.vhd
project addfile ../../../../vhdl_models/tx_datapath_v0.vhd
project addfile ../../../../vhdl_models/rx_datapath_v1.vhd
project addfile ../../../../vhdl_models/qdr_sram_v1.vhd
project addfile ../../../../vhdl_models/interrupt_controller_v0.vhd
project addfile ../../../../vhdl_models/bpi_flash_v0.vhd
project addfile ../../../../vhdl_models/pci_performance_v0.vhd
project addfile ../../src/rx_counter_v0.vhd
project addfile ../../src/pci_target_emulator_v0.vhd
project addfile ../../src/rx_dma_emulator_v1.vhd
project addfile ../../src/tx_dma_emulator_v0.vhd
project addfile ../../src/pci_express_v0.vhd
project addfile ../../../../vhdl_models/transceiver_v2.vhd
project addfile ../../src/SigFPGA_tb_v0.vhd


